Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network51.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
51.0.0.0
Broadcast address
51.127.255.255
First usable
51.0.0.1
Last usable
51.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 33000000 · Integer 855638016 to 864026623
Reverse DNS zones
0.51.in-addr.arpa
1.51.in-addr.arpa
2.51.in-addr.arpa
3.51.in-addr.arpa
4.51.in-addr.arpa
5.51.in-addr.arpa
6.51.in-addr.arpa
7.51.in-addr.arpa
8.51.in-addr.arpa
9.51.in-addr.arpa
10.51.in-addr.arpa
11.51.in-addr.arpa
12.51.in-addr.arpa
13.51.in-addr.arpa
14.51.in-addr.arpa
15.51.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110011.00000000.00000000.0000000051.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network00110011.00000000.00000000.0000000051.0.0.0
Broadcast00110011.01111111.11111111.1111111151.127.255.255
Split into smaller subnets/19

51.0.0.0/9 makes 1,024 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
151.0.0.0/1951.0.0.1 to 51.0.31.25451.0.31.2558,190
251.0.32.0/1951.0.32.1 to 51.0.63.25451.0.63.2558,190
351.0.64.0/1951.0.64.1 to 51.0.95.25451.0.95.2558,190
451.0.96.0/1951.0.96.1 to 51.0.127.25451.0.127.2558,190
551.0.128.0/1951.0.128.1 to 51.0.159.25451.0.159.2558,190
651.0.160.0/1951.0.160.1 to 51.0.191.25451.0.191.2558,190
751.0.192.0/1951.0.192.1 to 51.0.223.25451.0.223.2558,190
851.0.224.0/1951.0.224.1 to 51.0.255.25451.0.255.2558,190
951.1.0.0/1951.1.0.1 to 51.1.31.25451.1.31.2558,190
1051.1.32.0/1951.1.32.1 to 51.1.63.25451.1.63.2558,190
1151.1.64.0/1951.1.64.1 to 51.1.95.25451.1.95.2558,190
1251.1.96.0/1951.1.96.1 to 51.1.127.25451.1.127.2558,190
1351.1.128.0/1951.1.128.1 to 51.1.159.25451.1.159.2558,190
1451.1.160.0/1951.1.160.1 to 51.1.191.25451.1.191.2558,190
1551.1.192.0/1951.1.192.1 to 51.1.223.25451.1.223.2558,190
1651.1.224.0/1951.1.224.1 to 51.1.255.25451.1.255.2558,190
1751.2.0.0/1951.2.0.1 to 51.2.31.25451.2.31.2558,190
1851.2.32.0/1951.2.32.1 to 51.2.63.25451.2.63.2558,190
1951.2.64.0/1951.2.64.1 to 51.2.95.25451.2.95.2558,190
2051.2.96.0/1951.2.96.1 to 51.2.127.25451.2.127.2558,190
2151.2.128.0/1951.2.128.1 to 51.2.159.25451.2.159.2558,190
2251.2.160.0/1951.2.160.1 to 51.2.191.25451.2.191.2558,190
2351.2.192.0/1951.2.192.1 to 51.2.223.25451.2.223.2558,190
2451.2.224.0/1951.2.224.1 to 51.2.255.25451.2.255.2558,190
2551.3.0.0/1951.3.0.1 to 51.3.31.25451.3.31.2558,190
2651.3.32.0/1951.3.32.1 to 51.3.63.25451.3.63.2558,190
2751.3.64.0/1951.3.64.1 to 51.3.95.25451.3.95.2558,190
2851.3.96.0/1951.3.96.1 to 51.3.127.25451.3.127.2558,190
2951.3.128.0/1951.3.128.1 to 51.3.159.25451.3.159.2558,190
3051.3.160.0/1951.3.160.1 to 51.3.191.25451.3.191.2558,190
3151.3.192.0/1951.3.192.1 to 51.3.223.25451.3.223.2558,190
3251.3.224.0/1951.3.224.1 to 51.3.255.25451.3.255.2558,190
3351.4.0.0/1951.4.0.1 to 51.4.31.25451.4.31.2558,190
3451.4.32.0/1951.4.32.1 to 51.4.63.25451.4.63.2558,190
3551.4.64.0/1951.4.64.1 to 51.4.95.25451.4.95.2558,190
3651.4.96.0/1951.4.96.1 to 51.4.127.25451.4.127.2558,190
3751.4.128.0/1951.4.128.1 to 51.4.159.25451.4.159.2558,190
3851.4.160.0/1951.4.160.1 to 51.4.191.25451.4.191.2558,190
3951.4.192.0/1951.4.192.1 to 51.4.223.25451.4.223.2558,190
4051.4.224.0/1951.4.224.1 to 51.4.255.25451.4.255.2558,190
4151.5.0.0/1951.5.0.1 to 51.5.31.25451.5.31.2558,190
4251.5.32.0/1951.5.32.1 to 51.5.63.25451.5.63.2558,190
4351.5.64.0/1951.5.64.1 to 51.5.95.25451.5.95.2558,190
4451.5.96.0/1951.5.96.1 to 51.5.127.25451.5.127.2558,190
4551.5.128.0/1951.5.128.1 to 51.5.159.25451.5.159.2558,190
4651.5.160.0/1951.5.160.1 to 51.5.191.25451.5.191.2558,190
4751.5.192.0/1951.5.192.1 to 51.5.223.25451.5.223.2558,190
4851.5.224.0/1951.5.224.1 to 51.5.255.25451.5.255.2558,190
4951.6.0.0/1951.6.0.1 to 51.6.31.25451.6.31.2558,190
5051.6.32.0/1951.6.32.1 to 51.6.63.25451.6.63.2558,190
5151.6.64.0/1951.6.64.1 to 51.6.95.25451.6.95.2558,190
5251.6.96.0/1951.6.96.1 to 51.6.127.25451.6.127.2558,190
5351.6.128.0/1951.6.128.1 to 51.6.159.25451.6.159.2558,190
5451.6.160.0/1951.6.160.1 to 51.6.191.25451.6.191.2558,190
5551.6.192.0/1951.6.192.1 to 51.6.223.25451.6.223.2558,190
5651.6.224.0/1951.6.224.1 to 51.6.255.25451.6.255.2558,190
5751.7.0.0/1951.7.0.1 to 51.7.31.25451.7.31.2558,190
5851.7.32.0/1951.7.32.1 to 51.7.63.25451.7.63.2558,190
5951.7.64.0/1951.7.64.1 to 51.7.95.25451.7.95.2558,190
6051.7.96.0/1951.7.96.1 to 51.7.127.25451.7.127.2558,190
6151.7.128.0/1951.7.128.1 to 51.7.159.25451.7.159.2558,190
6251.7.160.0/1951.7.160.1 to 51.7.191.25451.7.191.2558,190
6351.7.192.0/1951.7.192.1 to 51.7.223.25451.7.223.2558,190
6451.7.224.0/1951.7.224.1 to 51.7.255.25451.7.255.2558,190
6551.8.0.0/1951.8.0.1 to 51.8.31.25451.8.31.2558,190
6651.8.32.0/1951.8.32.1 to 51.8.63.25451.8.63.2558,190
6751.8.64.0/1951.8.64.1 to 51.8.95.25451.8.95.2558,190
6851.8.96.0/1951.8.96.1 to 51.8.127.25451.8.127.2558,190
6951.8.128.0/1951.8.128.1 to 51.8.159.25451.8.159.2558,190
7051.8.160.0/1951.8.160.1 to 51.8.191.25451.8.191.2558,190
7151.8.192.0/1951.8.192.1 to 51.8.223.25451.8.223.2558,190
7251.8.224.0/1951.8.224.1 to 51.8.255.25451.8.255.2558,190
7351.9.0.0/1951.9.0.1 to 51.9.31.25451.9.31.2558,190
7451.9.32.0/1951.9.32.1 to 51.9.63.25451.9.63.2558,190
7551.9.64.0/1951.9.64.1 to 51.9.95.25451.9.95.2558,190
7651.9.96.0/1951.9.96.1 to 51.9.127.25451.9.127.2558,190
7751.9.128.0/1951.9.128.1 to 51.9.159.25451.9.159.2558,190
7851.9.160.0/1951.9.160.1 to 51.9.191.25451.9.191.2558,190
7951.9.192.0/1951.9.192.1 to 51.9.223.25451.9.223.2558,190
8051.9.224.0/1951.9.224.1 to 51.9.255.25451.9.255.2558,190
8151.10.0.0/1951.10.0.1 to 51.10.31.25451.10.31.2558,190
8251.10.32.0/1951.10.32.1 to 51.10.63.25451.10.63.2558,190
8351.10.64.0/1951.10.64.1 to 51.10.95.25451.10.95.2558,190
8451.10.96.0/1951.10.96.1 to 51.10.127.25451.10.127.2558,190
8551.10.128.0/1951.10.128.1 to 51.10.159.25451.10.159.2558,190
8651.10.160.0/1951.10.160.1 to 51.10.191.25451.10.191.2558,190
8751.10.192.0/1951.10.192.1 to 51.10.223.25451.10.223.2558,190
8851.10.224.0/1951.10.224.1 to 51.10.255.25451.10.255.2558,190
8951.11.0.0/1951.11.0.1 to 51.11.31.25451.11.31.2558,190
9051.11.32.0/1951.11.32.1 to 51.11.63.25451.11.63.2558,190
9151.11.64.0/1951.11.64.1 to 51.11.95.25451.11.95.2558,190
9251.11.96.0/1951.11.96.1 to 51.11.127.25451.11.127.2558,190
9351.11.128.0/1951.11.128.1 to 51.11.159.25451.11.159.2558,190
9451.11.160.0/1951.11.160.1 to 51.11.191.25451.11.191.2558,190
9551.11.192.0/1951.11.192.1 to 51.11.223.25451.11.223.2558,190
9651.11.224.0/1951.11.224.1 to 51.11.255.25451.11.255.2558,190
9751.12.0.0/1951.12.0.1 to 51.12.31.25451.12.31.2558,190
9851.12.32.0/1951.12.32.1 to 51.12.63.25451.12.63.2558,190
9951.12.64.0/1951.12.64.1 to 51.12.95.25451.12.95.2558,190
10051.12.96.0/1951.12.96.1 to 51.12.127.25451.12.127.2558,190
10151.12.128.0/1951.12.128.1 to 51.12.159.25451.12.159.2558,190
10251.12.160.0/1951.12.160.1 to 51.12.191.25451.12.191.2558,190
10351.12.192.0/1951.12.192.1 to 51.12.223.25451.12.223.2558,190
10451.12.224.0/1951.12.224.1 to 51.12.255.25451.12.255.2558,190
10551.13.0.0/1951.13.0.1 to 51.13.31.25451.13.31.2558,190
10651.13.32.0/1951.13.32.1 to 51.13.63.25451.13.63.2558,190
10751.13.64.0/1951.13.64.1 to 51.13.95.25451.13.95.2558,190
10851.13.96.0/1951.13.96.1 to 51.13.127.25451.13.127.2558,190
10951.13.128.0/1951.13.128.1 to 51.13.159.25451.13.159.2558,190
11051.13.160.0/1951.13.160.1 to 51.13.191.25451.13.191.2558,190
11151.13.192.0/1951.13.192.1 to 51.13.223.25451.13.223.2558,190
11251.13.224.0/1951.13.224.1 to 51.13.255.25451.13.255.2558,190
11351.14.0.0/1951.14.0.1 to 51.14.31.25451.14.31.2558,190
11451.14.32.0/1951.14.32.1 to 51.14.63.25451.14.63.2558,190
11551.14.64.0/1951.14.64.1 to 51.14.95.25451.14.95.2558,190
11651.14.96.0/1951.14.96.1 to 51.14.127.25451.14.127.2558,190
11751.14.128.0/1951.14.128.1 to 51.14.159.25451.14.159.2558,190
11851.14.160.0/1951.14.160.1 to 51.14.191.25451.14.191.2558,190
11951.14.192.0/1951.14.192.1 to 51.14.223.25451.14.223.2558,190
12051.14.224.0/1951.14.224.1 to 51.14.255.25451.14.255.2558,190
12151.15.0.0/1951.15.0.1 to 51.15.31.25451.15.31.2558,190
12251.15.32.0/1951.15.32.1 to 51.15.63.25451.15.63.2558,190
12351.15.64.0/1951.15.64.1 to 51.15.95.25451.15.95.2558,190
12451.15.96.0/1951.15.96.1 to 51.15.127.25451.15.127.2558,190
12551.15.128.0/1951.15.128.1 to 51.15.159.25451.15.159.2558,190
12651.15.160.0/1951.15.160.1 to 51.15.191.25451.15.191.2558,190
12751.15.192.0/1951.15.192.1 to 51.15.223.25451.15.223.2558,190
12851.15.224.0/1951.15.224.1 to 51.15.255.25451.15.255.2558,190
12951.16.0.0/1951.16.0.1 to 51.16.31.25451.16.31.2558,190
13051.16.32.0/1951.16.32.1 to 51.16.63.25451.16.63.2558,190
13151.16.64.0/1951.16.64.1 to 51.16.95.25451.16.95.2558,190
13251.16.96.0/1951.16.96.1 to 51.16.127.25451.16.127.2558,190
13351.16.128.0/1951.16.128.1 to 51.16.159.25451.16.159.2558,190
13451.16.160.0/1951.16.160.1 to 51.16.191.25451.16.191.2558,190
13551.16.192.0/1951.16.192.1 to 51.16.223.25451.16.223.2558,190
13651.16.224.0/1951.16.224.1 to 51.16.255.25451.16.255.2558,190
13751.17.0.0/1951.17.0.1 to 51.17.31.25451.17.31.2558,190
13851.17.32.0/1951.17.32.1 to 51.17.63.25451.17.63.2558,190
13951.17.64.0/1951.17.64.1 to 51.17.95.25451.17.95.2558,190
14051.17.96.0/1951.17.96.1 to 51.17.127.25451.17.127.2558,190
14151.17.128.0/1951.17.128.1 to 51.17.159.25451.17.159.2558,190
14251.17.160.0/1951.17.160.1 to 51.17.191.25451.17.191.2558,190
14351.17.192.0/1951.17.192.1 to 51.17.223.25451.17.223.2558,190
14451.17.224.0/1951.17.224.1 to 51.17.255.25451.17.255.2558,190
14551.18.0.0/1951.18.0.1 to 51.18.31.25451.18.31.2558,190
14651.18.32.0/1951.18.32.1 to 51.18.63.25451.18.63.2558,190
14751.18.64.0/1951.18.64.1 to 51.18.95.25451.18.95.2558,190
14851.18.96.0/1951.18.96.1 to 51.18.127.25451.18.127.2558,190
14951.18.128.0/1951.18.128.1 to 51.18.159.25451.18.159.2558,190
15051.18.160.0/1951.18.160.1 to 51.18.191.25451.18.191.2558,190
15151.18.192.0/1951.18.192.1 to 51.18.223.25451.18.223.2558,190
15251.18.224.0/1951.18.224.1 to 51.18.255.25451.18.255.2558,190
15351.19.0.0/1951.19.0.1 to 51.19.31.25451.19.31.2558,190
15451.19.32.0/1951.19.32.1 to 51.19.63.25451.19.63.2558,190
15551.19.64.0/1951.19.64.1 to 51.19.95.25451.19.95.2558,190
15651.19.96.0/1951.19.96.1 to 51.19.127.25451.19.127.2558,190
15751.19.128.0/1951.19.128.1 to 51.19.159.25451.19.159.2558,190
15851.19.160.0/1951.19.160.1 to 51.19.191.25451.19.191.2558,190
15951.19.192.0/1951.19.192.1 to 51.19.223.25451.19.223.2558,190
16051.19.224.0/1951.19.224.1 to 51.19.255.25451.19.255.2558,190
16151.20.0.0/1951.20.0.1 to 51.20.31.25451.20.31.2558,190
16251.20.32.0/1951.20.32.1 to 51.20.63.25451.20.63.2558,190
16351.20.64.0/1951.20.64.1 to 51.20.95.25451.20.95.2558,190
16451.20.96.0/1951.20.96.1 to 51.20.127.25451.20.127.2558,190
16551.20.128.0/1951.20.128.1 to 51.20.159.25451.20.159.2558,190
16651.20.160.0/1951.20.160.1 to 51.20.191.25451.20.191.2558,190
16751.20.192.0/1951.20.192.1 to 51.20.223.25451.20.223.2558,190
16851.20.224.0/1951.20.224.1 to 51.20.255.25451.20.255.2558,190
16951.21.0.0/1951.21.0.1 to 51.21.31.25451.21.31.2558,190
17051.21.32.0/1951.21.32.1 to 51.21.63.25451.21.63.2558,190
17151.21.64.0/1951.21.64.1 to 51.21.95.25451.21.95.2558,190
17251.21.96.0/1951.21.96.1 to 51.21.127.25451.21.127.2558,190
17351.21.128.0/1951.21.128.1 to 51.21.159.25451.21.159.2558,190
17451.21.160.0/1951.21.160.1 to 51.21.191.25451.21.191.2558,190
17551.21.192.0/1951.21.192.1 to 51.21.223.25451.21.223.2558,190
17651.21.224.0/1951.21.224.1 to 51.21.255.25451.21.255.2558,190
17751.22.0.0/1951.22.0.1 to 51.22.31.25451.22.31.2558,190
17851.22.32.0/1951.22.32.1 to 51.22.63.25451.22.63.2558,190
17951.22.64.0/1951.22.64.1 to 51.22.95.25451.22.95.2558,190
18051.22.96.0/1951.22.96.1 to 51.22.127.25451.22.127.2558,190
18151.22.128.0/1951.22.128.1 to 51.22.159.25451.22.159.2558,190
18251.22.160.0/1951.22.160.1 to 51.22.191.25451.22.191.2558,190
18351.22.192.0/1951.22.192.1 to 51.22.223.25451.22.223.2558,190
18451.22.224.0/1951.22.224.1 to 51.22.255.25451.22.255.2558,190
18551.23.0.0/1951.23.0.1 to 51.23.31.25451.23.31.2558,190
18651.23.32.0/1951.23.32.1 to 51.23.63.25451.23.63.2558,190
18751.23.64.0/1951.23.64.1 to 51.23.95.25451.23.95.2558,190
18851.23.96.0/1951.23.96.1 to 51.23.127.25451.23.127.2558,190
18951.23.128.0/1951.23.128.1 to 51.23.159.25451.23.159.2558,190
19051.23.160.0/1951.23.160.1 to 51.23.191.25451.23.191.2558,190
19151.23.192.0/1951.23.192.1 to 51.23.223.25451.23.223.2558,190
19251.23.224.0/1951.23.224.1 to 51.23.255.25451.23.255.2558,190
19351.24.0.0/1951.24.0.1 to 51.24.31.25451.24.31.2558,190
19451.24.32.0/1951.24.32.1 to 51.24.63.25451.24.63.2558,190
19551.24.64.0/1951.24.64.1 to 51.24.95.25451.24.95.2558,190
19651.24.96.0/1951.24.96.1 to 51.24.127.25451.24.127.2558,190
19751.24.128.0/1951.24.128.1 to 51.24.159.25451.24.159.2558,190
19851.24.160.0/1951.24.160.1 to 51.24.191.25451.24.191.2558,190
19951.24.192.0/1951.24.192.1 to 51.24.223.25451.24.223.2558,190
20051.24.224.0/1951.24.224.1 to 51.24.255.25451.24.255.2558,190
20151.25.0.0/1951.25.0.1 to 51.25.31.25451.25.31.2558,190
20251.25.32.0/1951.25.32.1 to 51.25.63.25451.25.63.2558,190
20351.25.64.0/1951.25.64.1 to 51.25.95.25451.25.95.2558,190
20451.25.96.0/1951.25.96.1 to 51.25.127.25451.25.127.2558,190
20551.25.128.0/1951.25.128.1 to 51.25.159.25451.25.159.2558,190
20651.25.160.0/1951.25.160.1 to 51.25.191.25451.25.191.2558,190
20751.25.192.0/1951.25.192.1 to 51.25.223.25451.25.223.2558,190
20851.25.224.0/1951.25.224.1 to 51.25.255.25451.25.255.2558,190
20951.26.0.0/1951.26.0.1 to 51.26.31.25451.26.31.2558,190
21051.26.32.0/1951.26.32.1 to 51.26.63.25451.26.63.2558,190
21151.26.64.0/1951.26.64.1 to 51.26.95.25451.26.95.2558,190
21251.26.96.0/1951.26.96.1 to 51.26.127.25451.26.127.2558,190
21351.26.128.0/1951.26.128.1 to 51.26.159.25451.26.159.2558,190
21451.26.160.0/1951.26.160.1 to 51.26.191.25451.26.191.2558,190
21551.26.192.0/1951.26.192.1 to 51.26.223.25451.26.223.2558,190
21651.26.224.0/1951.26.224.1 to 51.26.255.25451.26.255.2558,190
21751.27.0.0/1951.27.0.1 to 51.27.31.25451.27.31.2558,190
21851.27.32.0/1951.27.32.1 to 51.27.63.25451.27.63.2558,190
21951.27.64.0/1951.27.64.1 to 51.27.95.25451.27.95.2558,190
22051.27.96.0/1951.27.96.1 to 51.27.127.25451.27.127.2558,190
22151.27.128.0/1951.27.128.1 to 51.27.159.25451.27.159.2558,190
22251.27.160.0/1951.27.160.1 to 51.27.191.25451.27.191.2558,190
22351.27.192.0/1951.27.192.1 to 51.27.223.25451.27.223.2558,190
22451.27.224.0/1951.27.224.1 to 51.27.255.25451.27.255.2558,190
22551.28.0.0/1951.28.0.1 to 51.28.31.25451.28.31.2558,190
22651.28.32.0/1951.28.32.1 to 51.28.63.25451.28.63.2558,190
22751.28.64.0/1951.28.64.1 to 51.28.95.25451.28.95.2558,190
22851.28.96.0/1951.28.96.1 to 51.28.127.25451.28.127.2558,190
22951.28.128.0/1951.28.128.1 to 51.28.159.25451.28.159.2558,190
23051.28.160.0/1951.28.160.1 to 51.28.191.25451.28.191.2558,190
23151.28.192.0/1951.28.192.1 to 51.28.223.25451.28.223.2558,190
23251.28.224.0/1951.28.224.1 to 51.28.255.25451.28.255.2558,190
23351.29.0.0/1951.29.0.1 to 51.29.31.25451.29.31.2558,190
23451.29.32.0/1951.29.32.1 to 51.29.63.25451.29.63.2558,190
23551.29.64.0/1951.29.64.1 to 51.29.95.25451.29.95.2558,190
23651.29.96.0/1951.29.96.1 to 51.29.127.25451.29.127.2558,190
23751.29.128.0/1951.29.128.1 to 51.29.159.25451.29.159.2558,190
23851.29.160.0/1951.29.160.1 to 51.29.191.25451.29.191.2558,190
23951.29.192.0/1951.29.192.1 to 51.29.223.25451.29.223.2558,190
24051.29.224.0/1951.29.224.1 to 51.29.255.25451.29.255.2558,190
24151.30.0.0/1951.30.0.1 to 51.30.31.25451.30.31.2558,190
24251.30.32.0/1951.30.32.1 to 51.30.63.25451.30.63.2558,190
24351.30.64.0/1951.30.64.1 to 51.30.95.25451.30.95.2558,190
24451.30.96.0/1951.30.96.1 to 51.30.127.25451.30.127.2558,190
24551.30.128.0/1951.30.128.1 to 51.30.159.25451.30.159.2558,190
24651.30.160.0/1951.30.160.1 to 51.30.191.25451.30.191.2558,190
24751.30.192.0/1951.30.192.1 to 51.30.223.25451.30.223.2558,190
24851.30.224.0/1951.30.224.1 to 51.30.255.25451.30.255.2558,190
24951.31.0.0/1951.31.0.1 to 51.31.31.25451.31.31.2558,190
25051.31.32.0/1951.31.32.1 to 51.31.63.25451.31.63.2558,190
25151.31.64.0/1951.31.64.1 to 51.31.95.25451.31.95.2558,190
25251.31.96.0/1951.31.96.1 to 51.31.127.25451.31.127.2558,190
25351.31.128.0/1951.31.128.1 to 51.31.159.25451.31.159.2558,190
25451.31.160.0/1951.31.160.1 to 51.31.191.25451.31.191.2558,190
25551.31.192.0/1951.31.192.1 to 51.31.223.25451.31.223.2558,190
25651.31.224.0/1951.31.224.1 to 51.31.255.25451.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses